Bug 3634 - draklive-install hangs when installing the system on EFI laptop
: draklive-install hangs when installing the system on EFI laptop
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: RED
: x86_64 Linux
: High major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-17 19:10 MSK by Postnikov Dmitry
Modified: 2014-02-16 12:26 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
s1.png (230.14 KB, image/png)
2014-01-17 19:10 MSK, Postnikov Dmitry
Details
sc1.png (141.64 KB, image/png)
2014-02-02 22:34 MSK, Postnikov Dmitry
Details
journalctl.txt (715.22 KB, text/plain)
2014-02-03 00:02 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2014-01-17 19:10:01 MSK
Created attachment 2551 [details]
s1.png

Description of problem:
draklive-install "hangs" when installing the system.
Install system not work.
Wifi is work, Internet work. Connection repositories did not help.

See att.
Comment 1 Alexander Burmashev 2014-01-17 19:15:42 MSK
Как показали расследования проблема в том, что на загруженном в лайв образе не устанавливаются и не удаляются пакеты.
Comment 2 Postnikov Dmitry 2014-01-17 19:23:17 MSK
[root@localhost live]# 
[root@localhost live]# rpm -e --debug myspell-ro_RO
D: pool ts:	created size 1200 limit -1 flags 0
D: pool db:	created size 328 limit -1 flags 0
D: pool dbi:	created size 472 limit -1 flags 0
D: rpmdb: cpus 4 physmem 3772Mb
D: opening  db environment /var/lib/rpm/Packages thread:lock:log:mpool:txn
D: opening  db index       /var/lib/rpm/Packages thread:rdonly:auto_commit mode=0x0
D: opening  db index       /var/lib/rpm/Nvra thread:rdonly:auto_commit mode=0x0
D: pool mi:	created size 152 limit -1 flags 0
D: pool h:	created size 360 limit -1 flags 0
D: pool bf:	created size 56 limit -1 flags 0
D: pool te:	created size 376 limit -1 flags 0
D: pool fi:	created size 560 limit -1 flags 0
D: pool tsi:	created size 48 limit -1 flags 0
D: ========== --- myspell-ro_RO-1.0.2-32.noarch noarch/linux 0x0
D: opening  db index       /var/lib/rpm/Requirename thread:rdonly:auto_commit mode=0x0
D: pool ps:	created size 40 limit -1 flags 0
D: pool al:	created size 64 limit -1 flags 0
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, Ldepth, Rbreadth)
D:     0    0    0    1    0    0 -myspell-ro_RO-1.0.2-32.noarch
D: closed   db index       /var/lib/rpm/Nvra
D: closed   db index       /var/lib/rpm/Requirename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: opening  db environment /var/lib/rpm/Packages thread:lock:log:mpool:txn
D: opening  db index       /var/lib/rpm/Packages create:thread:auto_commit mode=0x42
D: mounted filesystems:
D:     i        dev    bsize       bavail       iavail mount point
D:     0 0x0000fc00     4096       914285       358253 rw /
D:     1 0x00000003     4096            1           -1 rw /proc
D:     2 0x0000000e     4096            1           -1 rw /sys
D:     3 0x00000005     4096       478964       478429 rw /dev
D:     4 0x0000000b     4096            1           -1 rw /dev/pts
D:     5 0x0000000f     4096       482863       482914 rw /dev/shm
D:     6 0x00000010     4096       482651       482171 rw /run
D:     7 0x00000011     4096            1           -1 rw /var/lib/nfs/rpc_pipefs
D:     8 0x00000810     2048            1           -1 ro /run/initramfs/live
D:     9 0x0000fc00     4096       914285       358253 rw /
D:    10 0x00000011     4096            1           -1 rw /var/lib/nfs/rpc_pipefs
D:    11 0x0000000a     4096            1           -1 rw /sys/kernel/security
D:    12 0x00000012     4096       482920       482909 rw /sys/fs/cgroup
D:    13 0x00000013     4096            1           -1 rw /sys/fs/cgroup/systemd
D:    14 0x00000014     4096            1           -1 rw /sys/fs/pstore
D:    15 0x00000015     4096            1           -1 rw /sys/firmware/efi/efivars
D:    16 0x00000016     4096            1           -1 rw /sys/fs/cgroup/cpuset
D:    17 0x00000017     4096            1           -1 rw /sys/fs/cgroup/cpu,cpuacct
D:    18 0x00000018     4096            1           -1 rw /sys/fs/cgroup/devices
D:    19 0x00000019     4096            1           -1 rw /sys/fs/cgroup/freezer
D:    20 0x0000001a     4096            1           -1 rw /sys/fs/cgroup/net_cls
D:    21 0x0000001b     4096            1           -1 rw /sys/fs/cgroup/blkio
D:    22 0x0000001c     4096            1           -1 rw /sys/fs/cgroup/bfqio
D:    23 0x00000023     4096            1           -1 rw /proc/sys/fs/binfmt_misc
D:    24 0x0000001e  2097152            1           -1 rw /dev/hugepages
D:    25 0x00000007     4096            1           -1 rw /sys/kernel/debug
D:    26 0x0000000d     4096            1           -1 rw /dev/mqueue
Comment 3 Postnikov Dmitry 2014-01-17 19:24:09 MSK
[root@localhost live]# 
[root@localhost live]# dmesg | grep ext3
[root@localhost live]# 
[root@localhost live]# 
[root@localhost live]# urpme -e --debug myspell-ro_RO
Unknown option: e
getting lock on urpmi
изучается файл synthesis [/var/lib/urpmi/main/synthesis.hdlist.cz]
изучается файл synthesis [/var/lib/urpmi/non-free/synthesis.hdlist.cz]
изучается файл synthesis [/var/lib/urpmi/restricted/synthesis.hdlist.cz]
будет произведена установка вместо обновления пакета kernel-nrj-desktop-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-doc-3.10.19-2-red3.noarch
будет произведена установка вместо обновления пакета kernel-nrj-laptop-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-laptop-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-desktop-devel-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-source-3.10.15-1red-1-1-red2.noarch
будет произведена установка вместо обновления пакета kernel-doc-3.6.10-1-red3.noarch
будет произведена установка вместо обновления пакета kernel-nrj-netbook-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-laptop-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-desktop-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-server-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-laptop-devel-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-devel-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-desktop-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-laptop-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-source-3.10.19-2red-1-1-red3.noarch
будет произведена установка вместо обновления пакета kernel-doc-3.10.15-1-red2.noarch
будет произведена установка вместо обновления пакета kernel-nrj-laptop-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-server-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-desktop-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-desktop-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-devel-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-netbook-devel-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-netbook-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-server-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-realtime-3.10.19-2red-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-server-devel-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-nrj-netbook-3.10.15-1red-1-1-red2.x86_64
будет произведена установка вместо обновления пакета kernel-desktop-3.6.10-1rosa-1-1-red3.x86_64
будет произведена установка вместо обновления пакета kernel-source-3.6.10-1rosa-1-1-red3.noarch
opening rpmdb (root=, write=)
resolve_rejected: myspell-ro_RO-1.0.2-32-red2.noarch
set_rejected: myspell-ro_RO-1.0.2-32-red2.noarch
удаляется myspell-ro_RO-1.0.2-32-red2.noarch
opening rpmdb (root=, write=1)
создана транзакция для установки на / (remove=1, install=0, upgrade=0)
trans: scheduling removal of myspell-ro_RO-1.0.2-32-red2.noarch
Comment 4 Postnikov Dmitry 2014-01-17 19:30:12 MSK
[root@localhost live]# 
[root@localhost live]# rpm -qa | grep rpm
rpm-helper-0.24.1-3-red3.noarch
lib64rpm5.4-5.4.10-23-red2.x86_64
rpm-5.4.10-23-red2.x86_64
urpmi-6.71-43-red3.noarch
gurpmi-6.71-43-red3.noarch
python-rpm-5.4.10-23-red2.x86_64
python-rpm5utils-2.2.4-1-red3.noarch
urpm-tools-2.2.4-1-red3.noarch
rpmdrake-5.26.12-33-red3.noarch
rpmstats-0.7-4-red2.x86_64
mdv-rpm-summary-0.9.4-5-red2.noarch
[root@localhost live]# 
[root@localhost live]# rpm -qa | grep urpmi
urpmi-6.71-43-red3.noarch
gurpmi-6.71-43-red3.noarch
[root@localhost live]#
Comment 5 Postnikov Dmitry 2014-02-01 23:32:33 MSK
I found what the problem is. 
I have laptop with EFI. And new systemd-208 no mount EFI partition in /boot/efi.
Service /lib/systemd/system/boot-efi.mount not start , when start LiveCD.
===================
[root@localhost live]# systemctl status boot-efi.mount
boot-efi.mount - EFI System Partition
   Loaded: loaded (/lib/systemd/system/boot-efi.mount; static)
   Active: inactive (dead)
    Where: /boot/efi
     What: /dev/disk/by-uuid/

[root@localhost live]# 
==================

The problem is that automatic generation of boot-efi.mount file, not prescribed UUID EFI partition.

If i write manual:
======================
What=/dev/dy-uuid/<mu UUID EFI> 
======================
Whent service reload and active! And mount EFI partition in /boot/efi and RED3 installed on EFI laptop without problem.

(The bottom, after manual add UUID)
======================
[root@localhost system]# systemctl daemon-reload
[root@localhost system]# 
[root@localhost system]# systemctl status boot-efi.mount
boot-efi.mount - EFI System Partition
   Loaded: loaded (/lib/systemd/system/boot-efi.mount; static)
   Active: inactive (dead)
    Where: /boot/efi
     What: /dev/disk/by-uuid/A087-086A

февр. 01 01:24:37 localhost systemd[1]: Dependency failed for EFI System Partition.
[root@localhost system]# 
[root@localhost system]# systemctl start boot-efi.mount
[root@localhost system]# 
[root@localhost system]# systemctl status boot-efi.mount
boot-efi.mount - EFI System Partition
   Loaded: loaded (/lib/systemd/system/boot-efi.mount; static)
   Active: active (mounted) since Сб. 2014-02-01 01:25:39 MSK; 4s ago
    Where: /boot/efi
     What: /dev/sda2
  Process: 7326 ExecMount=/bin/mount /dev/disk/by-uuid/A087-086A /boot/efi -t auto -o umask=0077 (code=exited, status=0/SUCCESS)

февр. 01 01:25:37 localhost systemd[1]: Mounting EFI System Partition...
февр. 01 01:25:39 localhost systemd[1]: Mounted EFI System Partition.
[root@localhost system]# 
[root@localhost system]# ls -al /boot/efi
итого 12
drwx------ 3 root root 4096 янв.   1  1970 ./
drwxr-xr-x 6 root root 4096 февр.  1  2014 ../
drwx------ 5 root root 4096 нояб. 29 21:49 EFI/
[root@localhost system]#
========================

After this i install RED3 on EFI laptop.

We need correct systemd-208 and add UUID in boot-efi.moutt
Comment 6 Aleksandr Kazantcev 2014-02-02 00:10:14 MSK
See code:

https://abf.rosalinux.ru/import/systemd/blob/rosa2012.1/systemd-efi-boot-generator

Problem is why UUID not correct defined. We need investigate this.
Comment 7 Aleksandr Kazantcev 2014-02-02 00:14:56 MSK
For investigate doing this:

1. Run (from root) /lib/systemd/system-generators/systemd-efi-boot-generator
2. Get output here
3. Check if gdisk installed
4. If no, install it
5. Run generator again (and check mount)
Comment 8 Postnikov Dmitry 2014-02-02 00:22:00 MSK
(In reply to comment #7)
> For investigate doing this:
> 
> 1. Run (from root) /lib/systemd/system-generators/systemd-efi-boot-generator
> 2. Get output here
> 3. Check if gdisk installed
> 4. If no, install it
> 5. Run generator again (and check mount)

gdisk is installed in LiveCD. And generator detect FINE my EFI partition & UUID.

But in boot-efi.mount NOT write UUID.

(My true EFI /dev/sda2 A087-086A)
==========================
[root@localhost live]# 
[root@localhost live]# /lib/systemd/system-generators/systemd-efi-boot-generator
/dev/sda2 A087-086A
systemd-1 on /boot/efi type autofs (rw,relatime,fd=36,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
You has allready mounted EFI partitions on /boot/efi
[root@localhost live]# 
[root@localhost live]# systemctl status boot-efi.mount
boot-efi.mount - EFI System Partition
   Loaded: loaded (/lib/systemd/system/boot-efi.mount; static)
   Active: inactive (dead)
    Where: /boot/efi
     What: /dev/disk/by-uuid/

[root@localhost live]# 
[root@localhost live]# cat /lib/systemd/system/boot-efi.mount
# Automatially generated by systemd-efi-boot-generator\n\n"
[Unit]
Description=EFI System Partition
[Mount]
Where=/boot/efi
What=/dev/disk/by-uuid/
Options=umask=0077
[root@localhost live]# 
[root@localhost live]# rpm -qa | grep gdisk
gdisk-0.8.1-2-red2.x86_64
[root@localhost live]# 
===========================
Comment 9 Aleksandr Kazantcev 2014-02-02 00:29:18 MSK
See output:

> /dev/sda2 A087-086A
> systemd-1 on /boot/efi type autofs (rw,relatime,fd=36,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
> You has allready mounted EFI partitions on /boot/efi

You has already mounting partition.


Please run Live without change efi.mount and provide


ls -al /boot

ls -al /lib/systemd/system/ | grep mount
Comment 10 Postnikov Dmitry 2014-02-02 00:32:12 MSK
(In reply to comment #9)
> See output:
> 
> > /dev/sda2 A087-086A
> > systemd-1 on /boot/efi type autofs (rw,relatime,fd=36,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
> > You has allready mounted EFI partitions on /boot/efi
> 
> You has already mounting partition.
> 
> 
> Please run Live without change efi.mount and provide
> 
> 
> ls -al /boot
> 
> ls -al /lib/systemd/system/ | grep mount

=================
[root@localhost live]# 
[root@localhost live]# umount /boot/efi
[root@localhost live]# 
[root@localhost live]# ls -al /boot
итого 61808
drwxr-xr-x  6 root root     4096 февр.  2  2014 ./
drwxr-xr-x 23 root root     4096 февр.  2 00:15 ../
lrwxrwxrwx  1 root root       31 февр.  2  2014 config -> config-3.10.27-nrj-desktop-2red
-rw-r--r--  1 root root   144946 янв.  23 13:34 config-3.10.27-nrj-desktop-2red
drwxr-xr-x  2 root root     4096 янв.  31 16:33 dracut/
drwxr-xr-x  3 root root     4096 янв.  31 16:33 efi/
drwxr-xr-x  2 root root     4096 янв.  31 16:33 grub/
drwxr-xr-x  6 root root     4096 янв.  31 16:25 grub2/
-rw-------  1 root root 28068828 янв.  31 16:30 initramfs-3.10.27-nrj-desktop-2red.img
-rw-------  1 root root 28063956 янв.  31 16:32 initrd-3.10.27-nrj-desktop-2red.img
-rw-r--r--  1 root root   176760 янв.   2 00:30 memtest.bin
-rw-r--r--  1 root root   198452 янв.  23 13:34 symvers-3.10.27-nrj-desktop-2red.xz
lrwxrwxrwx  1 root root       35 февр.  2  2014 System.map -> System.map-3.10.27-nrj-desktop-2red
-rw-r--r--  1 root root  2778082 янв.  23 13:34 System.map-3.10.27-nrj-desktop-2red
-rw-r--r--  1 root root  3734640 янв.  23 13:34 vmlinuz-3.10.27-nrj-desktop-2red
lrwxrwxrwx  1 root root       32 янв.  31 16:25 vmlinuz-nrj-desktop -> vmlinuz-3.10.27-nrj-desktop-2red
[root@localhost live]# 
[root@localhost live]# ls -al /lib/systemd/system/ | grep mount
-rw-r--r--  1 root root   134 февр.  2  2014 boot-efi.automount
-rw-r--r--  1 root root   167 февр.  2  2014 boot-efi.mount
-rw-r--r--  1 root root   636 янв.  28 22:50 dev-hugepages.mount
-rw-r--r--  1 root root   590 янв.  28 22:50 dev-mqueue.mount
lrwxrwxrwx  1 root root    64 янв.  31 16:22 dracut-mount.service -> ../../../usr/lib/dracut/modules.d/98systemd/dracut-mount.service
lrwxrwxrwx  1 root root    68 янв.  31 16:22 dracut-pre-mount.service -> ../../../usr/lib/dracut/modules.d/98systemd/dracut-pre-mount.service
-rw-r--r--  1 root root   253 янв.   2 03:02 nfs-mountd.service
-rw-r--r--  1 root root   115 янв.   2 03:02 proc-fs-nfsd.mount
-rw-r--r--  1 root root   693 янв.  28 22:50 proc-sys-fs-binfmt_misc.automount
-rw-r--r--  1 root root   603 янв.  28 22:50 proc-sys-fs-binfmt_misc.mount
-rw-r--r--  1 root root   681 янв.  28 22:50 sys-fs-fuse-connections.mount
-rw-r--r--  1 root root   685 янв.  28 22:50 sys-kernel-config.mount
-rw-r--r--  1 root root   646 янв.  28 22:50 sys-kernel-debug.mount
-rw-r--r--  1 root root   824 янв.  28 22:50 systemd-remount-fs.service
-rw-r--r--  1 root root   591 янв.  28 22:50 tmp.mount
-rw-r--r--  1 root root   417 янв.  28 22:50 umount.target
-rw-r--r--  1 root root   131 янв.   2 03:02 var-lib-nfs-rpc_pipefs.mount
[root@localhost live]# 
[root@localhost live]# 
=======================
Comment 11 Aleksandr Kazantcev 2014-02-02 00:39:19 MSK
Try manually delete this files (unmount efi partition before):

/lib/systemd/system/boot-efi.automount
/lib/systemd/system/boot-efi.mount
/lib/systemd/system/local-fs.target.wants/boot-efi.automount

and then run generator again
Comment 12 Aleksandr Kazantcev 2014-02-02 00:40:57 MSK
Note - you need run 

umount /boot/efi until appear words

 umount: /boot/efi: not mounted
Comment 13 Postnikov Dmitry 2014-02-02 00:52:35 MSK
(In reply to comment #11)
> Try manually delete this files (unmount efi partition before):
> 
> /lib/systemd/system/boot-efi.automount
> /lib/systemd/system/boot-efi.mount
> /lib/systemd/system/local-fs.target.wants/boot-efi.automount
> 
> and then run generator again

=============
[root@localhost live]# mc

[root@localhost system]# umount /boot/efi
[root@localhost system]# umount /boot/efi
umount: /boot/efi: not mounted
[root@localhost system]#
[root@localhost system]# /lib/systemd/system-generators/systemd-efi-boot-generator
/dev/sda2 A087-086A
[root@localhost system]# 
[root@localhost system]# systemctl status boot-efi.mount
boot-efi.mount - EFI System Partition
   Loaded: loaded (/lib/systemd/system/boot-efi.mount; static)
   Active: inactive (dead)
    Where: /boot/efi
     What: /dev/disk/by-uuid/


Warning: Unit file changed on disk, 'systemctl daemon-reload' recommended.
[root@localhost system]# 
[root@localhost system]# ls -al /boot-efi
ls: невозможно получить доступ к /boot-efi: Нет такого файла или каталога
[root@localhost system]#
[root@localhost system]# ls -al /boot/efi
итого 12
drwxr-xr-x 3 root root 4096 янв.  31 16:33 ./
drwxr-xr-x 6 root root 4096 февр.  2  2014 ../
drwxr-xr-x 3 root root 4096 янв.  31 16:27 EFI/
[root@localhost system]# 
====================

All work.
So not auto-removed these files that i have manually removed.
Comment 14 Alexander Burmashev 2014-02-02 04:11:12 MSK
As soon as this image is built, please try booting with it and save
blkid while booted
and /var/log/efidebug.log

https://abf.rosalinux.ru/platforms/red3/products/67/product_build_lists/2567#log
Comment 15 Postnikov Dmitry 2014-02-02 22:29:07 MSK
(In reply to comment #14)
> As soon as this image is built, please try booting with it and save
> blkid while booted
> and /var/log/efidebug.log
> 
> https://abf.rosalinux.ru/platforms/red3/products/67/product_build_lists/
> 2567#log

I booting this LiveCD.

=================
[live@localhost ~]$ su
[root@localhost live]# blkid
/dev/sda1: LABEL="RECOVERY" UUID="D662864A62862F75" TYPE="ntfs" PARTLABEL="Basic data partition" PARTUUID="fe7cc14f-a828-40c2-aac9-e913ec5cfd6b" 
/dev/sda2: LABEL="ESP" UUID="A087-086A" TYPE="vfat" PARTLABEL="EFI system partition" PARTUUID="6c1425b2-0cd4-40fd-aa71-48a21924a21a" 
/dev/sda4: LABEL="ACER" UUID="84586F52586F41D2" TYPE="ntfs" 
/dev/sda5: LABEL="ROSA-KDE64" UUID="92bdd612-6252-c6c0-b9ce-d4252ea16af4" TYPE="ext4" 
/dev/sda6: LABEL="ROSA-GNOME64" UUID="9153ba52-cdc5-4e4e-a151-0b30670e8b4f" TYPE="ext4" 
/dev/sda7: UUID="76e207d5-c4b4-4136-9e21-6dc5207bd2e5" TYPE="swap" 
/dev/sda8: LABEL="DISK2" UUID="A01295B312958F42" TYPE="ntfs" 
/dev/sda9: LABEL="Push Button Reset" UUID="56308B4C308B3253" TYPE="ntfs" 
/dev/sda10: LABEL="ROSA-RED64" UUID="bcd4ef0c-24d0-42b2-a263-83591207052c" TYPE="ext4" 
/dev/loop0: TYPE="squashfs" 
/dev/loop1: TYPE="DM_snapshot_cow" 
/dev/loop2: TYPE="squashfs" 
/dev/loop3: LABEL="_ROSA.RED2.x86_6" UUID="1389f78e-e62a-4c28-adaa-497bcf3e77ce" SEC_TYPE="ext2" TYPE="ext3" 
/dev/loop4: TYPE="DM_snapshot_cow" 
/dev/sdb1: SEC_TYPE="msdos" LABEL="EFI" UUID="0090-A1EE" TYPE="vfat" 
/dev/mapper/live-rw: LABEL="_ROSA.RED2.x86_6" UUID="1389f78e-e62a-4c28-adaa-497bcf3e77ce" TYPE="ext3" 
[root@localhost live]# 
[root@localhost live]# cat /var/log/efidebug.log

EFI_PART2
/dev/sda
EFI_UUID

EFI_BY_DEV
by-partuuid
EFI_UUID

EFI_BY_DEV
by-uuid
/dev/sda

EFI_PART2
/dev/sda
EFI_UUID

EFI_BY_DEV
by-partuuid
EFI_UUID

EFI_BY_DEV
by-uuid
/dev/sda
[root@localhost live]#
===============
Comment 16 Postnikov Dmitry 2014-02-02 22:34:31 MSK
Created attachment 2615 [details]
sc1.png

I'm in manual mode repeated script commands. correct conclusion but "thinks" it seems to me a long time.
Comment 17 Postnikov Dmitry 2014-02-02 23:41:14 MSK
I locally made a test script (similar to the generator). All works fine. But, there is one moment.
In R2 i blkid shows another sda3. And in RED i blkid NOT this partition shows. 

If unmount /boot/efi then show sda3 partition.
This sda3 - Microsoft reserved partition.

==============
[root@localhost live]# blkid
/dev/sda1: LABEL="RECOVERY" UUID="D662864A62862F75" TYPE="ntfs" PARTLABEL="Basic data partition" PARTUUID="fe7cc14f-a828-40c2-aac9-e913ec5cfd6b" 
/dev/sda2: LABEL="ESP" UUID="A087-086A" TYPE="vfat" PARTLABEL="EFI system partition" PARTUUID="6c1425b2-0cd4-40fd-aa71-48a21924a21a" 
/dev/sda4: LABEL="ACER" UUID="84586F52586F41D2" TYPE="ntfs" 
/dev/sda5: LABEL="ROSA-KDE64" UUID="92bdd612-6252-c6c0-b9ce-d4252ea16af4" TYPE="ext4" 
/dev/sda6: LABEL="ROSA-GNOME64" UUID="9153ba52-cdc5-4e4e-a151-0b30670e8b4f" TYPE="ext4" 
/dev/sda7: UUID="76e207d5-c4b4-4136-9e21-6dc5207bd2e5" TYPE="swap" 
/dev/sda8: LABEL="DISK2" UUID="A01295B312958F42" TYPE="ntfs" 
/dev/sda9: LABEL="Push Button Reset" UUID="56308B4C308B3253" TYPE="ntfs" 
/dev/sda10: LABEL="ROSA-RED64" UUID="bcd4ef0c-24d0-42b2-a263-83591207052c" TYPE="ext4" 
/dev/loop0: TYPE="squashfs" 
/dev/loop1: TYPE="DM_snapshot_cow" 
/dev/loop2: TYPE="squashfs" 
/dev/loop3: LABEL="_ROSA.RED2.x86_6" UUID="1389f78e-e62a-4c28-adaa-497bcf3e77ce" SEC_TYPE="ext2" TYPE="ext3" 
/dev/loop4: TYPE="DM_snapshot_cow" 
/dev/sdb1: SEC_TYPE="msdos" LABEL="EFI" UUID="0090-A1EE" TYPE="vfat" 
/dev/mapper/live-rw: LABEL="_ROSA.RED2.x86_6" UUID="1389f78e-e62a-4c28-adaa-497bcf3e77ce" TYPE="ext3" 
/dev/sda3: PARTLABEL="Microsoft reserved partition" PARTUUID="53c94798-9716-4a18-8503-75b1f54bad39" 
[root@localhost live]#
=================

parted -l
=================
[root@localhost live]# parted -l
Модель: ATA Hitachi HTS54505 (scsi)
Диск /dev/sda: 500GB
Размер сектора (логич./физич.): 512B/512B
Таблица разделов: gpt
Disk Flags: 

Номер  Начало  Конец   Размер  Файловая система  Имя                           Флаги
 1     1049kB  420MB   419MB   ntfs              Basic data partition          скрытый, diag
 2     420MB   735MB   315MB   fat32             EFI system partition          загрузочный
 3     735MB   869MB   134MB                     Microsoft reserved partition  msftres
 4     869MB   54,2GB  53,3GB  ntfs              Basic data partition
 5     54,2GB  87,8GB  33,6GB  ext4              Basic data partition
 6     87,8GB  121GB   33,6GB  ext4              Basic data partition
10     121GB   155GB   33,3GB  ext4
 7     155GB   159GB   4194MB  linux-swap(v1)    Basic data partition
 8     159GB   480GB   321GB   ntfs              Basic data partition
 9     480GB   500GB   20,2GB  ntfs              Basic data partition          скрытый, diag

===================
Comment 18 Postnikov Dmitry 2014-02-03 00:02:07 MSK
Created attachment 2616 [details]
journalctl.txt

Maybe problem in udev? In journalctl show many many error udev!
I attach journalctl.
============
.....
февр. 03 02:25:07 localhost systemd-udevd[5126]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
февр. 03 02:25:07 localhost systemd-udevd[5130]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
февр. 03 02:25:07 localhost systemd-udevd[5144]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
февр. 03 02:25:07 localhost systemd-udevd[5140]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
февр. 03 02:25:07 localhost systemd-udevd[5143]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
февр. 03 02:25:07 localhost systemd-udevd[5142]: failed to execute '/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No
.....
================
Comment 19 Aleksandr Kazantcev 2014-02-03 00:23:10 MSK
No - udev error related to hal (/lib/udev/socket:@/org/freedesktop/hal/)

You problem is in wrong return of blkid on start stage.

We fix generator and will try use only gdisk for find ESP partition (by EF00 type). This may fix error.
Comment 20 Postnikov Dmitry 2014-02-16 10:18:33 MSK
I guess you can close the bug?